import request from "@/utils/request";

export function GetList(param) {
    return request({
        url: "/udplat/goodsMatch/list",
        method: "post",
        data: param
    });
}

export function GetProductlist(key) {
    return request({
        url: "/udplat/goodsMatch/productlist",
        method: "post",
        params: {key}
    });
}

export function GetProductDetail(uuid) {
    return request({
        url: "/udplat/goodsMatch/productDetail",
        method: "post",
        params: {uuid}
    });
}

export function Save(param) {
    return request({
        url: "/udplat/goodsMatch/save",
        method: "post",
        data: param
    })
}

export function SearchByName(name) {
    return request({
        url: "/udplat/goodsMatch/searchByName?",
        method: "post",
        params: {name:name}
    });
}
